PeopleForce
Vacancies

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

Update a vacancy

Deprecated

PUT
/api/public/v1/recruitment/vacancies/{id}

Path Parameters

id*integer
Formatint64

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/api/public/v1/recruitment/vacancies/0" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d ''
{  "data": {    "id": 0,    "title": "string",    "description": "string",    "state": "string",    "priority": "string",    "starts_on": "2019-08-24",    "ends_on": "2019-08-24",    "positions": 0,    "currency_code": "string",    "post_on_careers": true,    "applications_count": 0,    "job_level": {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "employment_type": {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "position": {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "division": {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "department": {      "id": 0,      "name": "string",      "parent_id": 0,      "manager_id": 0,      "department_level": {        "id": 0,        "name": "string",        "hex_color": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "fields": {        "property1": {          "name": "string",          "value": "string"        },        "property2": {          "name": "string",          "value": "string"        }      }    },    "location": {      "id": 0,      "name": "string",      "address": "string",      "time_zone": "string",      "holiday_policy_id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "legal_entity": {      "id": 0,      "name": "string"    },    "recruitment_pipeline": {      "id": 0,      "name": "string",      "stages": [        {          "id": 0,          "name": "string",          "position": 0,          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        }      ],      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "hiring_lead": {      "id": 0,      "first_name": "string",      "last_name": "string",      "email": "string"    },    "collaborators": [      {        "id": 0,        "first_name": "string",        "last_name": "string",        "email": "string"      }    ],    "tags": [      {        "id": 0,        "name": "string"      }    ],    "skills": [      "string"    ],    "opened_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "minimum_salary": 0,    "maximum_salary": 0  }}